Bug 3300 - (int-86184) "Display stays lit when charging" in control panel doesn't work if device booted with charger connected
(int-86184)
: "Display stays lit when charging" in control panel doesn't work if device boo...
Status: RESOLVED FIXED
Product: Statusbar Widgets
Display
: 4.1 (4.2008.23-14)
: N800 Linux
: Low normal with 1 vote (vote)
: 5.0 (1.2009.41-10)
Assigned To: unassigned
: display-applet-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2008-06-25 18:56 UTC by Tony Green
Modified: 2009-09-18 23:16 UTC (History)
6 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Tony Green (reporter) 2008-06-25 18:56:08 UTC
SOFTWARE VERSION:
4.2008.23-14

STEPS TO REPRODUCE THE PROBLEM:
Select Control Panel -> Display
Select "When charging" as option under "Display stays lit"
Click OK

EXPECTED OUTCOME:
Display should remain lit when charger is attached and powered up
ACTUAL OUTCOME:
Display dims and switches off after a few minutes
REPRODUCIBILITY:
always
EXTRA SOFTWARE INSTALLED:
dbd-mysql
dbi
fbreader
gpe-calendar
gpesyncd
httpd
maemo-periodic
maemo-recorder
map
mogg
mysql
openntpd
openssh-server
personal-menu
pwsafe
rsync
stardict
vim
OTHER COMMENTS:
Has also been mentioned by another poster on maemo-users mailing list.

User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9)
Gecko/2008061017 Firefox/3.0
Comment 1 Tony Green (reporter) 2008-06-25 23:25:55 UTC
Annoyingly, I've just walked into the room to find my N800, which is on charge,
with the display still lit.

So reproducibility is actually not "always" after all.

If I work out what's different between times when it works and doesn't, I'll
post details.
Comment 2 Andre Klapper maemo.org 2008-06-27 12:52:42 UTC
Thanks in advance for any investigations, we'd love to have a good testcase on
this.
Comment 3 Tony Green (reporter) 2008-06-27 21:59:54 UTC
Having had a play today, the way to trigger this problem appears to be to
restart the N800 with the power connected. After it's started, the light goes
out after a few minutes.

Disconnecting the power then reconnecting it causes the display to behave as
expected.
Comment 4 Andre Klapper maemo.org 2008-07-14 18:02:45 UTC
(In reply to comment #3)
> Having had a play today, the way to trigger this problem appears to be to
> restart the N800 with the power connected. After it's started, the light goes
> out after a few minutes.
> Disconnecting the power then reconnecting it causes the display to behave as
> expected.

Is this 100% reproducible?
Comment 5 Andre Klapper maemo.org 2008-07-14 18:03:12 UTC
Setting hardware to N800.
Comment 6 TerrenceGF 2008-07-18 00:37:04 UTC
I can confirm this on my N800 running a stock diablo install (4.2008.23-14). 
Upon reboot, the "Display stays lit: When charging" setting is ignored, even
though the battery is being charged.  Display will dim at "Brightness setting"
interval.  If I unplug/replug the power, the display stays lit.  Reproducible
100%.
Comment 7 Andre Klapper maemo.org 2009-06-22 15:50:40 UTC
This is a WONTFIX for Diablo (not critical enough).
Haven't seen an internal ticket for Fremantle yet.
Comment 8 Aki Sasaki 2009-07-07 04:37:03 UTC
This makes it very difficult to automate performance/unit tests on a farm of
N810's.
Comment 9 Eero Tamminen nokia 2009-07-17 16:23:58 UTC
(In reply to comment #8)
> This makes it very difficult to automate performance/unit tests on a farm of
> N810's.

What if you include in your test-case something like:
  gconftool-2 --set --type=int /system/osso/dsm/display/inhibit_blank_mode 3

The number at the end is display mode which is one of:
    * 0 - no inhibit
    * 1 - inhibit dim with charger
    * 2 - inhibit blank with charger (display still dims)
    * 3 - inhibit dim (always)
    * 4 - inhibit blank (always; display still dims)
Comment 10 Aki Sasaki 2009-07-17 21:53:49 UTC
(In reply to comment #9)
> What if you include in your test-case something like:
>   gconftool-2 --set --type=int /system/osso/dsm/display/inhibit_blank_mode 3

Thanks for looking into this.
I:

1) changed the Display control panel to Brightness: 2min, Switch off display:
5min, Display stays lit: When charging
2) uninstalled Moredimmingoptions
3) verified Display settings
4) ran |gconftool-2 --set --type=int
/system/osso/dsm/display/inhibit_blank_mode 3| as root while ssh'ed in
5) let the n810 sit, idle, plugged in.
6) noted that the screen dimmed ~2min later, went blank ~5min later.

There doesn't seem to be a /system directory; is that ok?
Comment 11 Aki Sasaki 2009-07-17 21:58:11 UTC
Also tried this after reboot, but ssh'ed in as root, su'ed to user, then ran
the gconftool-2 command.  Screen dimmed after ~2min.
Comment 12 Eero Tamminen nokia 2009-07-20 12:47:05 UTC
(In reply to comment #11)
> Also tried this after reboot, but ssh'ed in as root, su'ed to user, then ran
> the gconftool-2 command.  Screen dimmed after ~2min.

Hm. It works on Fremantle.  I thought it should work in Diablo too.  David?
Comment 13 David Weinehall nokia 2009-07-20 21:14:34 UTC
@Eero: no, it's not supported in Diablo, only in Fremantle.

Disconnecting and reconnecting the charger makes things work as they should,
thus I suspect that the first charger state signal from bme gets lost, making
mce not recognise that the charger is connected.
Comment 14 Andre Klapper maemo.org 2009-07-21 13:32:11 UTC
Closing as Fixed in Fremantle as per last comments.

This is a WONTFIX for Diablo as Diablo is in maintenance mode and Nokia will
only provide bugfixes for critical issues if at all.
For your interest the Mer project aims to provide a community backport of
Fremantle for N8x0 devices. See http://wiki.maemo.org/Mer for more information.
Comment 15 Andre Klapper maemo.org 2009-09-18 23:16:10 UTC
(Splitting product "Home applets" into "Desktop widgets" and "Statusbar
widgets".
Sorry for the bugmail noise. You can filter by searching for this comment.)